> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/june5-3.5/webanwendung/sichten/webreport/june5-funktionen/singlevalueext.md).

# SingleValueExt

Diese Funktion liefert einen spezifizierten Wert zurück (z.B. Monatswert). Mit Formatierungsoptionen.

## Syntax

string **SingleValueExt** (string dataSourcekey, DateTime timestamp, string interval, string aggregation, int decimalPlaces)

## Parameter

<table><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><pre><code>dataSourcekey:
</code></pre></td><td>Der Datenquellen-Schlüssel (Kurzname) einer Messgröße.</td></tr><tr><td><pre><code>timestamp:
</code></pre></td><td>Ein Zeitstempel.</td></tr><tr><td><pre><code>interval:
</code></pre></td><td>Ein Intervallwert oder -typ. (process, day, week, month, year).</td></tr><tr><td><pre><code>aggregation:
</code></pre></td><td>Ein Aggregationstyp. (val, pSum usw.).</td></tr><tr><td><pre><code>decimalPlaces:
</code></pre></td><td>Die Anzahl der Nachkommastellen.</td></tr></tbody></table>

## Rückgabewert

Gibt einen numerischen Wert zurück.

\
Beispiel

```
SingleValueExt("J5001DE.TA",GetQueryTimeRange("Messwerte").From,"month","val",3)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/june5-3.5/webanwendung/sichten/webreport/june5-funktionen/singlevalueext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
